> ## Documentation Index
> Fetch the complete documentation index at: https://gproxy.leenhawk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /admin/api/tokenizer-vocabs/progress



## OpenAPI

````yaml /generated/openapi.json get /admin/api/tokenizer-vocabs/progress
openapi: 3.1.0
info:
  description: >-
    Forwarding, management, portal and OAuth APIs generated from Rust types.
    Input and output schemas preserve their respective Serde contracts.
    Streaming events and WebSocket messages are documented alongside HTTP
    payloads.
  title: GPROXY HTTP API
  version: 4.2.1
servers: []
security:
  - bearer: []
  - anthropicKey: []
  - googleKey: []
  - queryKey: []
paths:
  /admin/api/tokenizer-vocabs/progress:
    get:
      tags:
        - Management
      summary: GET /admin/api/tokenizer-vocabs/progress
      parameters:
        - description: Administrative scope selected by the caller.
          in: header
          name: x-gproxy-admin-scope
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/Output_TokenizerProgressDto'
                  - type: 'null'
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Output_Envelope'
          description: Gateway error
      security:
        - consoleSession: []
        - bearer: []
        - anthropicKey: []
        - googleKey: []
components:
  schemas:
    Output_TokenizerProgressDto:
      properties:
        downloadedBytes:
          format: uint64
          minimum: 0
          type: integer
        filename:
          type: string
        repo:
          type: string
        totalBytes:
          description: From `Content-Length`, when the upstream sent one.
          format: uint64
          minimum: 0
          type:
            - integer
            - 'null'
      required:
        - repo
        - filename
        - downloadedBytes
        - totalBytes
      type: object
    Output_Envelope:
      properties:
        error:
          $ref: '#/components/schemas/Output_EnvelopeBody'
      required:
        - error
      type: object
    Output_EnvelopeBody:
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearer:
      scheme: bearer
      type: http
    anthropicKey:
      in: header
      name: x-api-key
      type: apiKey
    googleKey:
      in: header
      name: x-goog-api-key
      type: apiKey
    queryKey:
      in: query
      name: key
      type: apiKey
    consoleSession:
      in: cookie
      name: gproxy_session
      type: apiKey

````

## Related topics

- [GET /admin/api/tokenizer-vocabs](https://gproxy.leenhawk.com/api-reference/management/get-adminapitokenizer-vocabs.md)
- [GET /admin/api/tokenizer-auth](https://gproxy.leenhawk.com/api-reference/management/get-adminapitokenizer-auth.md)
- [GET /admin/api/update/progress](https://gproxy.leenhawk.com/api-reference/management/get-adminapiupdateprogress.md)
- [POST /admin/api/tokenizer-vocabs](https://gproxy.leenhawk.com/api-reference/management/post-adminapitokenizer-vocabs.md)
- [DELETE /admin/api/tokenizer-vocabs/{id}](https://gproxy.leenhawk.com/api-reference/management/delete-adminapitokenizer-vocabs.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.